<template>
  <user-center-layout :title="$t('account')">
    <div class="relative mx-auto account-container">
      <el-tabs v-model="accountActiveTab" class="demo-tabs --text4">
        <el-tab-pane
          v-for="(tab, index) in tabs"
          :key="index"
          :disabled="tab.disabled"
          :name="tab.name"
        >
          <template #label>
            <nuxt-link :to="tab.link" class="py-4">{{
              $t(tab.label)
            }}</nuxt-link>
          </template>
        </el-tab-pane>
      </el-tabs>
      <el-scrollbar height="664px">
        <nuxt-page />
      </el-scrollbar>
    </div>
  </user-center-layout>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";
import { AccountTabType } from "~~/models/accountTabType";

export default defineComponent({
  setup() {
    const route = useRoute();
    const accountActiveTab = computed(() => String(route.name));
    const shouldChangePassword = computed(
      () => store.state.auth && store.state.isPasswordExpired
    );
    const tabs: AccountTabType[] = [
      {
        label: "account_information",
        link: ROUTES.ACCOUNT.INFO,
        disabled: store.state.auth && store.state.isPasswordExpired, // shouldChangePassword
        name: "account",
      },
      {
        label: "password",
        link: ROUTES.ACCOUNT.PASSWORD,
        disabled: false,
        name: "account-password",
      },
    ];
    return {
      accountActiveTab,
      shouldChangePassword,
      tabs,
    };
  },
});
</script>
<style>
.el-tabs__item.is-disabled:hover,
.el-tabs__item.is-disabled:focus,
.el-tabs__item.is-disabled:active {
  color: var(--el-disabled-text-color);
  cursor: not-allowed;
}
</style>
<style lang="scss" scoped>
.account-container[theme="desktop/sbo"] {
  background: var(--background1, white);
}
</style>
